## Class preforked_server

zeep::http::preforked_server

## Synopsis

    // In header: <zeep/http/preforked-server.hpp>

    class preforked_server {
    public:
      // construct/copy/destruct
      preforked_server(const preforked_server &) = delete;
      preforked_server(std::function< basic_server *(void)>);
      preforked_server & operator=(const preforked_server &) = delete;
      ~preforked_server();

      // public member functions
      virtual void run(const std::string &, short, int, int);
      virtual void start();
      virtual void stop();
    };

## Description

### `preforked_server` public construct/copy/destruct

1.     preforked_server(const preforked_server &) = delete;

2.     preforked_server(std::function< basic_server *(void)> server_factory);

   constructor

   The constructor takes one argument, a function object that creates a server class instance.

3.     preforked_server & operator=(const preforked_server &) = delete;

4.     ~preforked_server();

### `preforked_server` public member functions

1.     virtual void
       run(const std::string & address, short port, int nr_of_child_processes,
           int nr_of_threads);

   forks nr_of_child_processes children and starts listening, should be a separate thread

2.     virtual void start();

   signal the thread it can start listening:

3.     virtual void stop();

   stop the running thread